=== debian/control ===
Source: tempest
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 38~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-jsonschema,
                     python-mock (>= 1.3),
                     python-murano,
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-openssl (>= 0.14),
                     python-os-testr,
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.9.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko,
                     python-prettytable,
                     python-psycopg2,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.9.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-urllib3 (>= 1.8.3),
                     python-yaml,
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-fixtures (>= 1.3.1),
                     python3-hacking,
                     python3-jsonschema,
                     python3-mock (>= 1.3),
                     python3-mysqldb,
                     python3-netaddr (>= 0.7.12),
                     python3-openssl (>= 0.14),
                     python3-os-testr,
                     python3-oslo.concurrency (>= 3.5.0),
                     python3-oslo.config (>= 1:3.9.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-paramiko,
                     python3-prettytable,
                     python3-psycopg2,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.9.0),
                     python3-subunit,
                     python3-swiftclient,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-urllib3 (>= 1.8.3),
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/tempest.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/tempest.git
Homepage: https://github.com/openstack/tempest

Package: python-tempest
Architecture: all
Replaces: python-tempest-lib,
          tempest (<< 1:12.0.0-2~),
Breaks: python-tempest-lib,
        tempest (<< 1:12.0.0-2~),
Provides: python-tempest-lib,
Depends: python-cliff (>= 1.15.0),
         python-fixtures (>= 1.3.1),
         python-jsonschema,
         python-netaddr (>= 0.7.12),
         python-openssl (>= 0.14),
         python-os-testr,
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.9.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-paramiko,
         python-pbr (>= 1.8),
         python-prettytable,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.9.0),
         python-subunit,
         python-swiftclient,
         python-testscenarios,
         python-testtools (>= 1.4.0),
         python-urllib3 (>= 1.8.3),
         python-yaml,
         testrepository,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Integration Test Suite - Python 2.7
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 2.7 module.

Package: python3-tempest
Architecture: all
Replaces: python3-tempest-lib,
Breaks: python3-tempest-lib,
Provides: python3-tempest-lib,
Depends: python3-cliff (>= 1.15.0),
         python3-fixtures (>= 1.3.1),
         python3-jsonschema,
         python3-netaddr (>= 0.7.12),
         python3-openssl (>= 0.14),
         python3-os-testr,
         python3-oslo.concurrency (>= 3.5.0),
         python3-oslo.config (>= 1:3.9.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-paramiko,
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.9.0),
         python3-subunit,
         python3-swiftclient,
         python3-testscenarios,
         python3-testtools (>= 1.4.0),
         python3-urllib3 (>= 1.8.3),
         python3-yaml,
         subunit,
         testrepository,
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Integration Test Suite - Python 3.x
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 3.x module.

Package: tempest
Architecture: all
Depends: python-tempest (= ${binary:Version}) | python3-tempest (= ${binary:Version}) | ,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Integration Test Suite
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
