=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f .testrepository

override_dh_auto_install:
	# Install Python 2.7
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-tempest; \
	done
	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates

	# Install Python 3.x
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-tempest; \
	done
	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates

	# Cleanups
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	rm -rf $(CURDIR)/debian/python*/usr/etc

	mv $(CURDIR)/debian/python-tempest/usr/bin/check-uuid $(CURDIR)/debian/python-tempest/usr/bin/python2-check-uuid
	mv $(CURDIR)/debian/python3-tempest/usr/bin/check-uuid $(CURDIR)/debian/python3-tempest/usr/bin/python3-check-uuid
	mv $(CURDIR)/debian/python-tempest/usr/bin/javelin2 $(CURDIR)/debian/python-tempest/usr/bin/python2-javelin2
	mv $(CURDIR)/debian/python3-tempest/usr/bin/javelin2 $(CURDIR)/debian/python3-tempest/usr/bin/python3-javelin2
	mv $(CURDIR)/debian/python-tempest/usr/bin/run-tempest-stress $(CURDIR)/debian/python-tempest/usr/bin/python2-run-tempest-stress
	mv $(CURDIR)/debian/python3-tempest/usr/bin/run-tempest-stress $(CURDIR)/debian/python3-tempest/usr/bin/python3-run-tempest-stress
	mv $(CURDIR)/debian/python-tempest/usr/bin/skip-tracker $(CURDIR)/debian/python-tempest/usr/bin/python2-skip-tracker
	mv $(CURDIR)/debian/python3-tempest/usr/bin/skip-tracker $(CURDIR)/debian/python3-tempest/usr/bin/python3-skip-tracker
	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest
	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest
	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest-account-generator $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest-account-generator
	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest-account-generator $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest-account-generator
	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest-cleanup $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest-cleanup
	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest-cleanup $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest-cleanup
	mv $(CURDIR)/debian/python-tempest/usr/bin/verify-tempest-config $(CURDIR)/debian/python-tempest/usr/bin/python2-verify-tempest-config
	mv $(CURDIR)/debian/python3-tempest/usr/bin/verify-tempest-config $(CURDIR)/debian/python3-tempest/usr/bin/python3-verify-tempest-config

	mkdir -p $(CURDIR)/debian/tempest/etc/tempest
	PYTHONPATH=$(CURDIR)/debian/python-tempest/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/tempest/etc/tempest/tempest.conf \
		--wrap-width 140 \
		--namespace tempest.config \
		--namespace oslo.concurrency \
		--namespace oslo.i18n \
		--namespace oslo.log \
		--namespace oslo.serialization \
		--namespace oslo.utils
	
	install -D -m 0664 etc/logging.conf.sample $(CURDIR)/debian/tempest/etc/tempest/logging.conf
	install -D -m 0664 etc/accounts.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/accounts.yaml
	install -D -m 0664 etc/whitelist.yaml $(CURDIR)/debian/tempest/etc/tempest/whitelist.yaml
	install -D -m 0664 etc/javelin-resources.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/javelin-resources.yaml

	#cp -rfv etc/schemas $(CURDIR)/debian/tempest/etc/tempest
#	cp tools/colorizer.py $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest
	# Fix-up some preferences

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT verbose false
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_dir /var/log
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf oslo_concurrency lock_path /var/lock

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_tenant_name admin
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_username admin
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_domain_name default

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute fixed_network_name demo-net
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute region regionOne

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute-feature-enabled allow_duplicate_networks true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute-feature-enabled spice_console true

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf dashboard dashboard_url http://127.0.0.1

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity uri http://127.0.0.1:35357/v2.0
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity v2_public_endpoint_type adminURL
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity uri_v3 http://127.0.0.1:35357/v3
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity disable_ssl_certificate_validation true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity auth_version v3
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity default_domain_id default
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity v2_admin_endpoint_type adminURL

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity-feature-enabled api_v3 true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity-feature-enabled api_v2 false

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf image region regionOne

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf network region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf network build_interval 3

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration instance_type m1.small
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne
