## tempest 12.1.0

=== debian/changelog ===
tempest (1:12.1.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 05 Sep 2016 20:39:15 +0000

tempest (1:12.1.0-2) experimental; urgency=medium

  * Added a debian/bin containing a "tempest" shell script, and add that to the
    $PATH before launching unit tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 09:20:19 +0000

tempest (1:12.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added missing python{3,}-{ddt,oslotest} runtime Depends.
  * Set [volume-feature-enabled]/volume_services to true.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.
  * Don't attempt to run the test:
    cmd.test_subunit_describe_calls.TestSubunitDescribeCalls.test_return_code
    as subunit-describe-calls is not available in /usr/bin at build time.
  * Add subunit-describe-calls to the list of update-alternatives programs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jun 2016 21:25:28 +0200
