=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools (>= 38~),
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -17,60 +17,59 @@
 Build-Depends-Indep: git,
                      python-cliff (>= 1.15.0),
                      python-coverage,
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking,
                      python-jsonschema,
-                     python-mock (>= 1.3),
-                     python-murano,
+                     python-mock (>= 2.0),
                      python-mysqldb,
                      python-netaddr (>= 0.7.12),
                      python-openssl (>= 0.14),
-                     python-os-testr,
-                     python-oslo.concurrency (>= 3.5.0),
-                     python-oslo.config (>= 1:3.9.0),
+                     python-os-testr (>= 0.7.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.11.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-paramiko,
+                     python-paramiko (>= 2.0),
                      python-prettytable,
                      python-psycopg2,
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.9.0),
+                     python-stevedore (>= 1.10.0),
                      python-swiftclient,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python-urllib3 (>= 1.8.3),
+                     python-urllib3 (>= 1.15.1),
                      python-yaml,
                      python3-cliff (>= 1.15.0),
                      python3-coverage,
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-hacking,
                      python3-jsonschema,
-                     python3-mock (>= 1.3),
+                     python3-mock (>= 2.0),
                      python3-mysqldb,
                      python3-netaddr (>= 0.7.12),
                      python3-openssl (>= 0.14),
-                     python3-os-testr,
-                     python3-oslo.concurrency (>= 3.5.0),
-                     python3-oslo.config (>= 1:3.9.0),
+                     python3-os-testr (>= 0.7.0),
+                     python3-oslo.concurrency (>= 3.8.0),
+                     python3-oslo.config (>= 1:3.10.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.utils (>= 3.11.0),
                      python3-oslotest (>= 1.10.0),
-                     python3-paramiko,
+                     python3-paramiko (>= 2.0),
                      python3-prettytable,
                      python3-psycopg2,
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.9.0),
+                     python3-stevedore (>= 1.10.0),
                      python3-subunit,
-                     python3-swiftclient,
+#                     python3-swiftclient,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
-                     python3-urllib3 (>= 1.8.3),
+                     python3-urllib3 (>= 1.15.1),
                      python3-yaml,
                      subunit,
                      testrepository,
@@ -87,27 +86,29 @@
         tempest (<< 1:12.0.0-2~),
 Provides: python-tempest-lib,
 Depends: python-cliff (>= 1.15.0),
-         python-fixtures (>= 1.3.1),
+         python-ddt,
+         python-fixtures (>= 3.0.0),
          python-jsonschema,
          python-netaddr (>= 0.7.12),
          python-openssl (>= 0.14),
-         python-os-testr,
-         python-oslo.concurrency (>= 3.5.0),
+         python-os-testr (>= 0.7.0),
+         python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.9.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.5.0),
-         python-paramiko,
+         python-oslo.utils (>= 3.11.0),
+         python-oslotest,
+         python-paramiko (>= 2.0),
          python-pbr (>= 1.8),
          python-prettytable,
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.9.0),
+         python-stevedore (>= 1.10.0),
          python-subunit,
          python-swiftclient,
          python-testscenarios,
          python-testtools (>= 1.4.0),
-         python-urllib3 (>= 1.8.3),
+         python-urllib3 (>= 1.15.1),
          python-yaml,
          testrepository,
          ${misc:Depends},
@@ -126,27 +127,29 @@
 Breaks: python3-tempest-lib,
 Provides: python3-tempest-lib,
 Depends: python3-cliff (>= 1.15.0),
-         python3-fixtures (>= 1.3.1),
+         python3-ddt,
+         python3-fixtures (>= 3.0.0),
          python3-jsonschema,
          python3-netaddr (>= 0.7.12),
          python3-openssl (>= 0.14),
-         python3-os-testr,
-         python3-oslo.concurrency (>= 3.5.0),
+         python3-os-testr (>= 0.7.0),
+         python3-oslo.concurrency (>= 3.8.0),
          python3-oslo.config (>= 1:3.9.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.5.0),
-         python3-paramiko,
+         python3-oslo.utils (>= 3.11.0),
+         python3-oslotest,
+         python3-paramiko (>= 2.0),
          python3-pbr (>= 1.8),
          python3-prettytable,
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.9.0),
+         python3-stevedore (>= 1.10.0),
          python3-subunit,
          python3-swiftclient,
          python3-testscenarios,
          python3-testtools (>= 1.4.0),
-         python3-urllib3 (>= 1.8.3),
+         python3-urllib3 (>= 1.15.1),
          python3-yaml,
          subunit,
          testrepository,
