=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
 include /usr/share/openstack-pkg-tools/pkgos.make
-
-export OSLO_PACKAGE_VERSION=$(VERSION)
 
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
@@ -18,44 +13,19 @@
 	rm -f .testrepository
 
 override_dh_auto_install:
-	# Install Python 2.7
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-tempest; \
-	done
+	pkgos-dh_auto_install
+
+	# These aren't automatically install: do it by hand
 	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
 	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
 	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
 
-	# Install Python 3.x
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-tempest; \
-	done
 	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
 	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
 	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
 
 	# Cleanups
-	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 	rm -rf $(CURDIR)/debian/python*/usr/etc
-
-	mv $(CURDIR)/debian/python-tempest/usr/bin/check-uuid $(CURDIR)/debian/python-tempest/usr/bin/python2-check-uuid
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/check-uuid $(CURDIR)/debian/python3-tempest/usr/bin/python3-check-uuid
-	mv $(CURDIR)/debian/python-tempest/usr/bin/javelin2 $(CURDIR)/debian/python-tempest/usr/bin/python2-javelin2
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/javelin2 $(CURDIR)/debian/python3-tempest/usr/bin/python3-javelin2
-	mv $(CURDIR)/debian/python-tempest/usr/bin/run-tempest-stress $(CURDIR)/debian/python-tempest/usr/bin/python2-run-tempest-stress
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/run-tempest-stress $(CURDIR)/debian/python3-tempest/usr/bin/python3-run-tempest-stress
-	mv $(CURDIR)/debian/python-tempest/usr/bin/skip-tracker $(CURDIR)/debian/python-tempest/usr/bin/python2-skip-tracker
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/skip-tracker $(CURDIR)/debian/python3-tempest/usr/bin/python3-skip-tracker
-	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest
-	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest-account-generator $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest-account-generator
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest-account-generator $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest-account-generator
-	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest-cleanup $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest-cleanup
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest-cleanup $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest-cleanup
-	mv $(CURDIR)/debian/python-tempest/usr/bin/verify-tempest-config $(CURDIR)/debian/python-tempest/usr/bin/python2-verify-tempest-config
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/verify-tempest-config $(CURDIR)/debian/python3-tempest/usr/bin/python3-verify-tempest-config
 
 	mkdir -p $(CURDIR)/debian/tempest/etc/tempest
 	PYTHONPATH=$(CURDIR)/debian/python-tempest/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/tempest/etc/tempest/tempest.conf \
@@ -72,10 +42,7 @@
 	install -D -m 0664 etc/whitelist.yaml $(CURDIR)/debian/tempest/etc/tempest/whitelist.yaml
 	install -D -m 0664 etc/javelin-resources.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/javelin-resources.yaml
 
-	#cp -rfv etc/schemas $(CURDIR)/debian/tempest/etc/tempest
-#	cp tools/colorizer.py $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest
 	# Fix-up some preferences
-
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT verbose false
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_dir /var/log
@@ -116,3 +83,28 @@
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne
 
+	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf volume region regionOne
+
+	# Otherwise, there's some cinder tempest failures
+	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf volume-feature-enabled volume_services true
+
+	# Package stuff in /var/lib/tempest, since we need read/write access
+	# to run the testr stuff
+	mkdir -p $(CURDIR)/debian/tempest/var/lib/tempest
+	ln -s /usr/lib/python2.7/dist-packages/tempest $(CURDIR)/debian/tempest/var/lib/tempest/tempest
+	cp .testr.conf $(CURDIR)/debian/tempest/var/lib/tempest
+	install -D -m 775 debian/tempest_shell_wrapper $(CURDIR)/debian/tempest/usr/bin/tempest_debian_shell_wrapper
+
+	rm -fr $(CURDIR)/debian/tempest/usr/etc
+
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	echo "Disabled unit tests until python3-swiftclient is available"
+#	export OS_TEST_PATH=$(CURDIR)/tempest/tests ; PATH=$$PATH:$(CURDIR)/debian/bin pkgos-dh_auto_test 'tempest\.tests\.(?!(.*test_pretty_tox.*|.*cmd\.test_subunit_describe_calls\.TestSubunitDescribeCalls\.test_return_code.*))'
+endif
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html
+	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
