=== debian/changelog ===
tempest (1:12.2.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 27 Feb 2017 00:01:32 +0000

tempest (1:12.2.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist failing test:
    - TestTestList.test_testr_list_tests_no_errors

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 15:22:26 +0200

tempest (1:12.2.0-0) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-privacy-breach.patch.
  * Fixed oslotest EPOCH.
  * Using OpenStack's Gerrit as VCS URLs.
  * Added .gitreview in extend-diff-ignore.
  * Removed javelin2 from update-alternatives.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:23:17 +0200

tempest (1:12.1.0-3) experimental; urgency=medium

  * Team upload.
  * Added python-pep8 to build depends (Closes: #834888)

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Aug 2016 21:29:32 +0200
