=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -23,21 +23,21 @@
                      python-mock (>= 2.0),
                      python-mysqldb,
                      python-netaddr (>= 0.7.12),
-                     python-openssl (>= 0.14),
                      python-os-testr (>= 0.7.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.10.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-paramiko (>= 2.0),
+                     python-pep8,
                      python-prettytable,
                      python-psycopg2,
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-swiftclient,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -51,22 +51,21 @@
                      python3-mock (>= 2.0),
                      python3-mysqldb,
                      python3-netaddr (>= 0.7.12),
-                     python3-openssl (>= 0.14),
                      python3-os-testr (>= 0.7.0),
                      python3-oslo.concurrency (>= 3.8.0),
-                     python3-oslo.config (>= 1:3.10.0),
+                     python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.11.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-paramiko (>= 2.0),
                      python3-prettytable,
                      python3-psycopg2,
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.10.0),
+                     python3-stevedore (>= 1.16.0),
                      python3-subunit,
-#                     python3-swiftclient,
+                     python3-swiftclient,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-urllib3 (>= 1.15.1),
@@ -74,8 +73,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/tempest.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/tempest.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-tempest?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-tempest -b debian/newton
 Homepage: https://github.com/openstack/tempest
 
 Package: python-tempest
@@ -90,20 +89,19 @@
          python-fixtures (>= 3.0.0),
          python-jsonschema,
          python-netaddr (>= 0.7.12),
-         python-openssl (>= 0.14),
          python-os-testr (>= 0.7.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.9.0),
+         python-oslo.config (>= 1:3.14.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          python-oslotest,
          python-paramiko (>= 2.0),
          python-pbr (>= 1.8),
          python-prettytable,
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-subunit,
          python-swiftclient,
          python-testscenarios,
@@ -131,20 +129,19 @@
          python3-fixtures (>= 3.0.0),
          python3-jsonschema,
          python3-netaddr (>= 0.7.12),
-         python3-openssl (>= 0.14),
          python3-os-testr (>= 0.7.0),
          python3-oslo.concurrency (>= 3.8.0),
-         python3-oslo.config (>= 1:3.9.0),
+         python3-oslo.config (>= 1:3.14.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.11.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-oslotest,
          python3-paramiko (>= 2.0),
          python3-pbr (>= 1.8),
          python3-prettytable,
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.10.0),
+         python3-stevedore (>= 1.16.0),
          python3-subunit,
          python3-swiftclient,
          python3-testscenarios,
